net.sf.jasperreports.components.barcode4j

## Class BarcodeXmlWriter

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.BarcodeXmlWriter

- All Implemented Interfaces:
    BarcodeVisitor

      public class BarcodeXmlWriter
      extends java.lang.Object
      implements BarcodeVisitor

  Version:
    $Id: BarcodeXmlWriter.java 6233 2013-06-06 11:43:11Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeXmlWriter(JRXmlWriter reportWriter, JRComponentElement componentElement)`
    `BarcodeXmlWriter(JRXmlWriter reportWriter, JRComponentElement componentElement, java.lang.String version, VersionComparator versionComparator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `endBarcode()`
    `protected boolean` | `isNewerVersionOrEqual(java.lang.String currentVersion, java.lang.String oldVersion)`
    `protected void` | `startBarcode(BarcodeComponent barcode)`
    `void` | `visitCodabar(CodabarComponent codabar)`
    `void` | `visitCode128(Code128Component code128)`
    `void` | `visitCode39(Code39Component code39)`
    `void` | `visitDataMatrix(DataMatrixComponent dataMatrix)`
    `void` | `visitEAN13(EAN13Component ean13)`
    `void` | `visitEAN8(EAN8Component ean8)`
    `void` | `visitEANCode128(EAN128Component ean128)`
    `void` | `visitInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)`
    `void` | `visitPDF417(PDF417Component pdf417)`
    `void` | `visitPostnet(POSTNETComponent postnet)`
    `void` | `visitRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)`
    `void` | `visitUPCA(UPCAComponent upcA)`
    `void` | `visitUPCE(UPCEComponent upcE)`
    `void` | `visitUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)`
    `void` | `writeBarcode()`
    `protected void` | `writeBaseAttributes(BarcodeComponent barcode)`
    `protected void` | `writeBaseContents(BarcodeComponent barcode)`
    `protected void` | `writeExpression(java.lang.String name, JRExpression expression, boolean writeClass)`
    `protected void` | `writeFourStateAttributes(FourStateBarcodeComponent barcode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarcodeXmlWriter

          public BarcodeXmlWriter(JRXmlWriter reportWriter,
                          JRComponentElement componentElement)

    - #### BarcodeXmlWriter

          public BarcodeXmlWriter(JRXmlWriter reportWriter,
                          JRComponentElement componentElement,
                          java.lang.String version,
                          VersionComparator versionComparator)

  - ### Method Detail

    - #### writeBarcode

          public void writeBarcode()

    - #### startBarcode

          protected void startBarcode(BarcodeComponent barcode)

    - #### endBarcode

          protected void endBarcode()
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeBaseAttributes

          protected void writeBaseAttributes(BarcodeComponent barcode)

    - #### writeBaseContents

          protected void writeBaseContents(BarcodeComponent barcode)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### visitCodabar

          public void visitCodabar(CodabarComponent codabar)

      Specified by:
        `visitCodabar` in interface `BarcodeVisitor`

    - #### visitCode128

          public void visitCode128(Code128Component code128)

      Specified by:
        `visitCode128` in interface `BarcodeVisitor`

    - #### visitDataMatrix

          public void visitDataMatrix(DataMatrixComponent dataMatrix)

      Specified by:
        `visitDataMatrix` in interface `BarcodeVisitor`

    - #### visitEANCode128

          public void visitEANCode128(EAN128Component ean128)

      Specified by:
        `visitEANCode128` in interface `BarcodeVisitor`

    - #### visitCode39

          public void visitCode39(Code39Component code39)

      Specified by:
        `visitCode39` in interface `BarcodeVisitor`

    - #### visitUPCA

          public void visitUPCA(UPCAComponent upcA)

      Specified by:
        `visitUPCA` in interface `BarcodeVisitor`

    - #### visitUPCE

          public void visitUPCE(UPCEComponent upcE)

      Specified by:
        `visitUPCE` in interface `BarcodeVisitor`

    - #### visitEAN13

          public void visitEAN13(EAN13Component ean13)

      Specified by:
        `visitEAN13` in interface `BarcodeVisitor`

    - #### visitEAN8

          public void visitEAN8(EAN8Component ean8)

      Specified by:
        `visitEAN8` in interface `BarcodeVisitor`

    - #### visitInterleaved2Of5

          public void visitInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)

      Specified by:
        `visitInterleaved2Of5` in interface `BarcodeVisitor`

    - #### writeFourStateAttributes

          protected void writeFourStateAttributes(FourStateBarcodeComponent barcode)

    - #### visitRoyalMailCustomer

          public void visitRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)

      Specified by:
        `visitRoyalMailCustomer` in interface `BarcodeVisitor`

    - #### visitUSPSIntelligentMail

          public void visitUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)

      Specified by:
        `visitUSPSIntelligentMail` in interface `BarcodeVisitor`

    - #### visitPostnet

          public void visitPostnet(POSTNETComponent postnet)

      Specified by:
        `visitPostnet` in interface `BarcodeVisitor`

    - #### visitPDF417

          public void visitPDF417(PDF417Component pdf417)

      Specified by:
        `visitPDF417` in interface `BarcodeVisitor`

    - #### writeExpression

          protected void writeExpression(java.lang.String name,
                             JRExpression expression,
                             boolean writeClass)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isNewerVersionOrEqual

          protected boolean isNewerVersionOrEqual(java.lang.String currentVersion,
                                      java.lang.String oldVersion)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com